Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab
Class SlotsModel

    java.lang.Object
      javax.swing.AbstractListModel
          javax.swing.DefaultComboBoxModel
              edu.stanford.smi.protegex.queries_tab.SlotsModel

All Implemented Interfaces:
  Serializable, ComboBoxModel, ListModel, MutableComboBoxModel

    public class SlotsModel

extends DefaultComboBoxModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`SlotsModel(String[] names, String[] types, Collection slotCol)`

Method Summary
`String[]` | `getSlotNames()`
`Collection` | `getSlots()`
`String[]` | `getSlotTypes()`
`String` | `getType()`
`void` | `initialize(String[] names, String[] types, Collection slotCol)`
`void` | `removeName(String name)`
`void` | `setUpComboBox(String type)`

Methods inherited from class javax.swing.DefaultComboBoxModel
`addElement, getElementAt, getIndexOf, getSelectedItem, getSize, insertElementAt, removeAllElements, removeElement, removeElementAt, setSelectedItem`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, removeListDataListener`

Constructor Detail

### SlotsModel

    public SlotsModel(String[] names,
                      String[] types,
                      Collection slotCol)

Method Detail

### getSlotNames

    public String[] getSlotNames()

### getSlots

    public Collection getSlots()

### getSlotTypes

    public String[] getSlotTypes()

### getType

    public String getType()

### initialize

    public void initialize(String[] names,
                           String[] types,
                           Collection slotCol)

### removeName

    public void removeName(String name)

### setUpComboBox

    public void setUpComboBox(String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request